package com.hp.user.client.service;


import com.hp.user.client.entity.AddressVO;
import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.entity.Result;

import java.util.List;

/**
 * <p>
 * 用户地址信息 服务类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public interface AddressService{
    public Result insert(AddressVO address);
    public Result update(AddressVO address);
    public Result delete(String addressId);
    public DataResult<AddressVO> queryAddressByAddressId(String addressId);
    public ListResult<AddressVO> queryAllAddress();
    /**
     * 根据ownerId查询地址
     * @param ownerId
     * @return
     */
    public ListResult<AddressVO> queryAddressByOwnerId(String ownerId);
    
    /**
     * 删除地址
     * @param addressId
     * @return
     */
    public Result deleteAddressByAddressId(String addressId);
}
