package com.hp.user.service.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.entity.DictionariesVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.service.DictionariesService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "字典表")
@RestController
@RequestMapping("/user/dictionaries")
public class DictionariesController {
	
	@Autowired
	private DictionariesService dictionariesService;
	
	/**
     * 根据字典类型查询字典
     */
	@RequestMapping("/queryByType")
    @ApiOperation(value = "根据字典类型查询字典", notes = "根据字典类型查询字典", httpMethod = "POST")
	public ListResult<DictionariesVO> queryByType(Integer type) {
		ListResult<DictionariesVO> result = dictionariesService.queryByType(type);
		return result;
		
	}

}
