package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

//@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
@TableName("tb_account")
public class Account implements Serializable {
    /**
     * 用户Id
     */
    @TableId(value = "user_id")
    private String userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 微信号
     */
    private String wxNumber;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 创建时间
     */
    private Date sysCreateTime;
    /**
     * 创建用户Id
     */
    private String sysCreator;
    /**
     * 更新时间
     */
    private Date sysUpdateTime;
    /**
     * 更新用户Id
     */
    private String sysUpdater;
    /**
     * 系统字段；0:表示正常；1:表示删除
     */
    private Short sysDeleted;
    /**
     * 启用状态：0:启用；1：禁用
     */
    private Short status;
    /**
     * 对应角色Id
     */
    private String roleId;
    /**
     * 对应企业/服务商Id
     */
    // 更新时忽略null 和空值
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String companyId;
    /**
     * 备注
     */
    private String remarks;
    
    private	String wxOpenId;
    /**
     * 微信昵称
     */
    private String wxName;
    /**
     * 微信头像
     */
    private String wxPortrait;
    /**
     * 用户对应的企业的审核状态
     */
    @TableField(exist = false)
    private String auditStatus;
    @TableField(exist = false)
    private String vipLevel;
    @TableField(exist = false)
    private String companyName;

    public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public Account(){}

    public Account(String userId, String userName, String wxNumber, String phone, Date sysCreateTime, String sysCreator, Date sysUpdateTime, String sysUpdater, Short sysDeleted, Short status, String roleId, String companyId, String remarks) {
        this.userId = userId;
        this.userName = userName;
        this.wxNumber = wxNumber;
        this.phone = phone;
        this.sysCreateTime = sysCreateTime;
        this.sysCreator = sysCreator;
        this.sysUpdateTime = sysUpdateTime;
        this.sysUpdater = sysUpdater;
        this.sysDeleted = sysDeleted;
        this.status = status;
        this.roleId = roleId;
        this.companyId = companyId;
        this.remarks = remarks;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getWxNumber() {
        return wxNumber;
    }

    public void setWxNumber(String wxNumber) {
        this.wxNumber = wxNumber;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getSysCreateTime() {
        return sysCreateTime;
    }

    public void setSysCreateTime(Date sysCreateTime) {
        this.sysCreateTime = sysCreateTime;
    }

    public String getSysCreator() {
        return sysCreator;
    }

    public void setSysCreator(String sysCreator) {
        this.sysCreator = sysCreator;
    }

    public Date getSysUpdateTime() {
        return sysUpdateTime;
    }

    public void setSysUpdateTime(Date sysUpdateTime) {
        this.sysUpdateTime = sysUpdateTime;
    }

    public String getSysUpdater() {
        return sysUpdater;
    }

    public void setSysUpdater(String sysUpdater) {
        this.sysUpdater = sysUpdater;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Short getSysDeleted() {
        return sysDeleted;
    }

    public void setSysDeleted(Short sysDeleted) {
        this.sysDeleted = sysDeleted;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

	public String getWxOpenId() {
		return wxOpenId;
	}

	public void setWxOpenId(String wxOpenId) {
		this.wxOpenId = wxOpenId;
	}

	public String getWxName() {
		return wxName;
	}

	public void setWxName(String wxName) {
		this.wxName = wxName;
	}

	public String getWxPortrait() {
		return wxPortrait;
	}

	public void setWxPortrait(String wxPortrait) {
		this.wxPortrait = wxPortrait;
	}

	public String getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getVipLevel() {
		return vipLevel;
	}

	public void setVipLevel(String vipLevel) {
		this.vipLevel = vipLevel;
	}
	
    
}
