package com.hp.user.service.utils;

import org.gavaghan.geodesy.Ellipsoid;
import org.gavaghan.geodesy.GeodeticCalculator;
import org.gavaghan.geodesy.GeodeticCurve;
import org.gavaghan.geodesy.GlobalCoordinates;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

public class MapUtil {
	
	private static final String key = "dkPSGnbZmHMu2pG0Qa7GOgwBqX7t6GZo";
	
	/**
	 * 获取百度地图经纬度
	 * @param address
	 * @return
	 */
	public static JSONObject getLocation(String address) {
//		String address = "苍南县灵溪镇河口叶村38号";
//		String address = "拱墅区方家花苑35-2-1102";
//		String address = "杭州市临安区中天珺府";
//		String address = "余杭区融信沐澜";
//		String address = "余杭区东原印未来";
		String url = "http://api.map.baidu.com/geocoding/v3/?address="+address+"&output=json&ak="+key;
		String result = HttpRequestUtil.httpGet(url);
		JSONObject data = JSON.parseObject(result);
		Integer status = data.getInteger("status");
		JSONObject location = null;
		if(0 == status) {
			location = data.getJSONObject("result").getJSONObject("location");
		}else {
			System.out.println("address = "+address+";data="+data);
		}
		return location;
	}
	
	/**
	 * 根据经纬度获取城市编码
	 * @param location 经纬度格式为lat（经度）+","+lng（纬度）
	 * @return
	 */
	public static Integer getCityCode(String location) {
		
		String url = "http://api.map.baidu.com/reverse_geocoding/v3/?ak="+key+"&output=json&coordtype=wgs84ll&location="+location;
		String result = HttpRequestUtil.httpGet(url);
		JSONObject data = JSON.parseObject(result);
		Integer status = data.getInteger("status");
		Integer cityCode = null;
		if(0 == status) {
			cityCode = data.getJSONObject("result").getInteger("cityCode");
		}else {
			System.out.println("location:"+location+";data="+data);
		}
		return cityCode;
	}
	
	
	/**
	 * 获取2点之间点距离
	 * @param sourceLng
	 * @param sourceLat
	 * @param targerLng
	 * @param targerLat
	 * @return
	 */
	public static double getDistance(Double sourceLng,Double sourceLat,Double targerLng,Double targerLat) {
		GlobalCoordinates source = new GlobalCoordinates(sourceLat, sourceLng);
	    GlobalCoordinates target = new GlobalCoordinates(targerLat, targerLng);

//	    double meter1 = getDistanceMeter(source, target, Ellipsoid.Sphere);
	    double meter2 = getDistanceMeter(target, source, Ellipsoid.WGS84);
	    return meter2;
	}
	
	private static double getDistanceMeter(GlobalCoordinates gpsFrom, GlobalCoordinates gpsTo, Ellipsoid ellipsoid){

        //创建GeodeticCalculator，调用计算方法，传入坐标系、经纬度用于计算距离
        GeodeticCurve geoCurve = new GeodeticCalculator().calculateGeodeticCurve(ellipsoid, gpsFrom, gpsTo);

        return geoCurve.getEllipsoidalDistance();
    }

}
